microsoft visual c++ 14.0 is required问题解决办法

版权声明:本文为博主原创文章,转载请注明出处。 https://blog.csdn.net/amoscn/article/details/78215641

pip install pymssql时出错:

error: Microsoft Visual C++ 14.0 is required. Get it with “Microsoft Visual C++ Build Tools”: http://landinghub.visualstudio.com/visual-cpp-build-tools

方法1

不管你是安装什么库,方法都一样.

  1. 手动下载whl文件
    这里搜索您要下载的库。
    这里写图片描述

下载哪一个呢?

cp后接python版本, 请与你的python版本对应
win32 - 只有默认32位
带amd是指电脑处理器为amd, 不带可以理解为intel处理器的


  1. 再执行pip install xxx

> pip3 install C:\Users\chenjun\Desktop\pymssql-2.1.3-cp36-cp36m-
win32.whl

方法2

因为提示需要c++ 14.0,下载14.0.

  1. 点击此处进入下载。
  2. 解压安装(可能比较花时间)
  3. 安装完毕再次执行pip install xx

若解决了您的问题,麻烦在下面留下您的足迹,以示对我的鼓励。

阅读更多

扫码向博主提问

吃菜不吃饭

非学,无以致疑;非问,无以广识
去开通我的Chat快问
换一批

没有更多推荐了,返回首页